> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useduro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List saved cards



## OpenAPI

````yaml /openapi.json get /portal/email/cards
openapi: 3.1.0
info:
  title: Duro API
  version: 1.0.0
  description: >-
    Recovery-first subscription billing. Authenticate with a secret key
    (sk_test_ / sk_live_) as a bearer token. Amounts are in integer minor units
    (kobo).
servers:
  - url: https://api.useduro.com
    description: Production (live)
  - url: https://sandbox.useduro.com
    description: Sandbox (test)
security:
  - bearerAuth: []
tags:
  - name: Plans
  - name: Promo Codes
  - name: Payment Links
  - name: Customers
  - name: Transactions
  - name: Subscriptions
  - name: Invoices
  - name: Recovery
  - name: Settings
  - name: Analytics
  - name: Checkout
  - name: Events
  - name: OAuth
  - name: Customer Checkout
  - name: Customer Identity
  - name: Customer Portal
  - name: Customer Portal Account
paths:
  /portal/email/cards:
    get:
      tags:
        - Customer Portal Account
      summary: List saved cards
      operationId: portalEmailCards
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/PortalCard'
      security:
        - portalSession: []
components:
  schemas:
    PortalCard:
      type: object
      properties:
        id:
          type: string
        brand:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        expMonth:
          type: integer
          nullable: true
        expYear:
          type: integer
          nullable: true
        isDefault:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.
    portalSession:
      type: apiKey
      in: header
      name: x-portal-session
      description: The session token returned by /portal/email/verify.

````